Bug 36093 - Create cloud connection wizard: wait until connection is available
Create cloud connection wizard: wait until connection is available
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Erik Damrose
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-08 10:17 CEST by Erik Damrose
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-10-08 10:17:30 CEST
If a new connection to a cloud service is added via the uvmm-umc wizard, one can immediately try to setup a new instance. But at this time, not all information about available images, keys and security groups may be loaded by the backend.

The wizard should wait until the connection becomes available by checking the respective connection flag that is available, but no longer than a to-be-determined timeout (20 sec.?).

In addition, not available connection should be show a different icon in the treeview, and creating new instances for unavailable connections should not be possible.
Comment 1 Erik Damrose univentionstaff 2014-10-09 12:01:34 CEST
In addition, do not show not available connections in the create-instance wizard
Comment 2 Erik Damrose univentionstaff 2014-10-10 15:24:33 CEST
r54287
Comment 3 Erik Damrose univentionstaff 2014-10-17 10:38:49 CEST
OK: A progress bar waits for up to 30 seconds for a new connection to become available
OK: Not available connections have a different icon in the treeview
OK: New instances can only be created for 'available' connections
Verified
Comment 4 Stefan Gohmann univentionstaff 2014-10-27 09:11:10 CET
(In reply to Erik Damrose from comment #3)
> OK: A progress bar waits for up to 30 seconds for a new connection to become
> available

See Bug #36144. If we use a progress bar, it should always run up to 100 %.
Comment 5 Erik Damrose univentionstaff 2014-10-30 12:04:15 CET
Added infinite progress bar to uvmm module. It is shown in case the duration respectively steps are not known when the progressbar is created.

r55136 univention-virtual-machine-manager-daemon 4.0.6-1
Comment 6 Stefan Gohmann univentionstaff 2014-11-01 14:04:58 CET
Yes, that looks good.
Comment 7 Stefan Gohmann univentionstaff 2014-11-26 06:55:38 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".